Bug 1252105 - influxdb: Request to update to 0.9.2
influxdb: Request to update to 0.9.2
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: golang-github-influxdb-influxdb (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fridolín Pokorný
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 13:54 EDT by Pradeep Kilambi
Modified: 2017-08-08 08:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:07:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2015-08-10 13:54:30 EDT
Please update the influxdb to 0.9.2. We have a dependency on this for openstack-gnocchi.

Thanks and Appreciate it.
Comment 1 Jan Chaloupka 2015-08-14 03:40:30 EDT
Hi Pradeep,

we have been working on this for a while (last 3-4 months). List of dependencies for 0.9.2 is here:

$ gofed ggi --importpath=github.com/influxdb/influxdb
Warning: Warning: Import path gopkg.in/fatih/pool.v2 is not in gopkg.in/<repo>.<v> form
Import path collectd.org/api not supported
Import path collectd.org/network not supported
	gopkg.in/fatih/pool.v2
	github.com/BurntSushi/toml
	github.com/bmizerany/pat
	github.com/boltdb/bolt
	github.com/davecgh/go-spew/spew
	github.com/gogo/protobuf/proto
	github.com/golang/protobuf/proto
	github.com/hashicorp/raft
	github.com/hashicorp/raft-boltdb
	github.com/kimor79/gollectd
	github.com/rakyll/statik/fs
	golang.org/x/crypto/bcrypt

gopkg.in/fatih/pool.v2, collectd.org/api are not yet packaged in Fedora.

Previous version depended on rocksdb. It does not now. Pradeep, can you help me find out how is influxdb using rocksdb now? Or what is the current preferred database to use?

Thanks

Jan
Comment 2 Pradeep Kilambi 2015-08-25 11:32:20 EDT
Hi Jan:

From what i understand, there are multiple backends influxdb supports. rocksdb is one of them, if thats not a direct dependency anymore then I guess the default has changed. Perhaps leveldb is what they are using now. It might be helpful to reach out to the influxdb community directly with your question.
Comment 3 Jan Kurik 2016-02-24 08:36:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:08:17 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:07:31 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.